Page MenuHomePhabricator

Change back action icon in toolbar to "<" from "x"
Closed, ResolvedPublic

Description

We would like to replace the "X" icon in the Save dialog [1] with a "<" icon to more clearly communicate to contributors they are taking a step "back" in the edit flow, not exiting out of it completely.


  1. Save dialog

Event Timeline

ppelberg created this task.Aug 7 2019, 6:49 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 7 2019, 6:49 PM

Additional clarification: this change – switching the icon from "x" to "<" – should be limited to mobile.

DLynch renamed this task from Change back action icon in toolbar to ">" from "x" to Change back action icon in toolbar to "<" from "x".Aug 8 2019, 1:54 AM

Change 530180 had a related patch set uploaded (by DLynch; owner: DLynch):
[mediawiki/extensions/VisualEditor@master] MWSaveDialog: On mobile show a back button rather than an x

https://gerrit.wikimedia.org/r/530180

Change 530180 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] MWSaveDialog: On mobile show a back button rather than an x

https://gerrit.wikimedia.org/r/530180

Ryasmeen edited projects, added Verified; removed Editing QA.Sep 5 2019, 7:49 PM
Ryasmeen moved this task from QA to Product owner review on the VisualEditor (Current work) board.
ppelberg closed this task as Resolved.EditedSep 17 2019, 12:44 AM
ppelberg added a subscriber: Esanders.

What follows is primarily for documentation purposes...

Treatment of mobile dialogs
This task came up as part of a broader conversation with @Esanders and @iamjessklein on 7 Aug about how actions in dialogs should be treated, across mobile and desktop.

The outcomes of that conversations are as follows:

  • Dialogs that appear at the very beginning and very end of the edit flow should be thought of as different from those that appear in the steps in between (e.g. link, image, template dialogs, etc.) except when not full screen (e.g. save dialog on desktop)
  • As a result, the save dialog on mobile should have a "back" button, not a "close" button, to indicate it is preceded by other steps in the [publishing] flow it is a part of
  • Also, considering the save dialog on mobile will be launched by a "next" (>) button, the logical counterpart to that is "back".